对话补全
curl --request POST \
--url https://www.anyfast.com.cn/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen3.7-max-preview",
"messages": [
{
"role": "user",
"content": "请只回复 OK。"
}
],
"max_completion_tokens": 1024,
"enable_thinking": true
}
'import requests
url = "https://www.anyfast.com.cn/v1/chat/completions"
payload = {
"model": "qwen3.7-max-preview",
"messages": [
{
"role": "user",
"content": "请只回复 OK。"
}
],
"max_completion_tokens": 1024,
"enable_thinking": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen3.7-max-preview',
messages: [{role: 'user', content: '请只回复 OK。'}],
max_completion_tokens: 1024,
enable_thinking: true
})
};
fetch('https://www.anyfast.com.cn/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.anyfast.com.cn/v1/chat/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'qwen3.7-max-preview',
'messages' => [
[
'role' => 'user',
'content' => '请只回复 OK。'
]
],
'max_completion_tokens' => 1024,
'enable_thinking' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.anyfast.com.cn/v1/chat/completions"
payload := strings.NewReader("{\n \"model\": \"qwen3.7-max-preview\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"请只回复 OK。\"\n }\n ],\n \"max_completion_tokens\": 1024,\n \"enable_thinking\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.anyfast.com.cn/v1/chat/completions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"qwen3.7-max-preview\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"请只回复 OK。\"\n }\n ],\n \"max_completion_tokens\": 1024,\n \"enable_thinking\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.anyfast.com.cn/v1/chat/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"qwen3.7-max-preview\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"请只回复 OK。\"\n }\n ],\n \"max_completion_tokens\": 1024,\n \"enable_thinking\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "chatcmpl-example",
"object": "chat.completion",
"created": 1790000000,
"model": "qwen3.7-max-preview",
"choices": [
{
"index": 0,
"message": {
"content": "OK",
"role": "assistant",
"reasoning_content": "[思考内容已省略]"
},
"finish_reason": "stop"
}
],
"usage": {
"completion_tokens": 263,
"completion_tokens_details": {
"reasoning_tokens": 257
},
"prompt_tokens": 15,
"total_tokens": 278
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}文本与多模态
qwen3.7-max-preview
Qwen 模型 Qwen3.7-Max-Preview — 请求与响应字段.
POST
/
v1
/
chat
/
completions
对话补全
curl --request POST \
--url https://www.anyfast.com.cn/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "qwen3.7-max-preview",
"messages": [
{
"role": "user",
"content": "请只回复 OK。"
}
],
"max_completion_tokens": 1024,
"enable_thinking": true
}
'import requests
url = "https://www.anyfast.com.cn/v1/chat/completions"
payload = {
"model": "qwen3.7-max-preview",
"messages": [
{
"role": "user",
"content": "请只回复 OK。"
}
],
"max_completion_tokens": 1024,
"enable_thinking": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'qwen3.7-max-preview',
messages: [{role: 'user', content: '请只回复 OK。'}],
max_completion_tokens: 1024,
enable_thinking: true
})
};
fetch('https://www.anyfast.com.cn/v1/chat/completions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.anyfast.com.cn/v1/chat/completions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'model' => 'qwen3.7-max-preview',
'messages' => [
[
'role' => 'user',
'content' => '请只回复 OK。'
]
],
'max_completion_tokens' => 1024,
'enable_thinking' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.anyfast.com.cn/v1/chat/completions"
payload := strings.NewReader("{\n \"model\": \"qwen3.7-max-preview\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"请只回复 OK。\"\n }\n ],\n \"max_completion_tokens\": 1024,\n \"enable_thinking\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.anyfast.com.cn/v1/chat/completions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"model\": \"qwen3.7-max-preview\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"请只回复 OK。\"\n }\n ],\n \"max_completion_tokens\": 1024,\n \"enable_thinking\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.anyfast.com.cn/v1/chat/completions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"model\": \"qwen3.7-max-preview\",\n \"messages\": [\n {\n \"role\": \"user\",\n \"content\": \"请只回复 OK。\"\n }\n ],\n \"max_completion_tokens\": 1024,\n \"enable_thinking\": true\n}"
response = http.request(request)
puts response.read_body{
"id": "chatcmpl-example",
"object": "chat.completion",
"created": 1790000000,
"model": "qwen3.7-max-preview",
"choices": [
{
"index": 0,
"message": {
"content": "OK",
"role": "assistant",
"reasoning_content": "[思考内容已省略]"
},
"finish_reason": "stop"
}
],
"usage": {
"completion_tokens": 263,
"completion_tokens_details": {
"reasoning_tokens": 257
},
"prompt_tokens": 15,
"total_tokens": 278
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
准确的 AnyFast 公共模型 ID。
Allowed value:
"qwen3.7-max-preview"Minimum array length:
1Show child attributes
Show child attributes
上游最大输出长度;实际可用输出长度还受上下文占用影响。
Required range:
1 <= x <= 131072此预览模型仅支持思考模式。
仅在 stream 为 true 时生效的流式选项。
Show child attributes
Show child attributes
Show child attributes
Show child attributes
思考模式下不支持 required 或指定函数的强制调用。
Available options:
none, auto